Skip to main content
GET
/
tenant-auth
/
v1
/
groups
List groups within a tenant
curl --request GET \
  --url https://api.swarmd.ai/tenant-auth/v1/groups \
  --header 'Authorization: Bearer <token>'
{
  "totalPages": 123,
  "totalElements": 123,
  "pageable": {
    "paged": true,
    "unpaged": true,
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "unsorted": true,
      "sorted": true,
      "empty": true
    }
  },
  "first": true,
  "last": true,
  "numberOfElements": 123,
  "size": 123,
  "content": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "permissions": [
        {
          "entity": "USERS",
          "permission": "READ"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "isDefault": true,
      "isAdmin": true,
      "version": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "status": "ACTIVE",
        "permissions": [
          {
            "entity": "USERS",
            "permission": "READ"
          }
        ],
        "firstName": "<string>",
        "lastName": "<string>",
        "source": "<string>",
        "groupIds": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "deletedAt": "2023-11-07T05:31:56Z",
        "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "reason": "<string>"
    }
  ],
  "number": 123,
  "sort": {
    "unsorted": true,
    "sorted": true,
    "empty": true
  },
  "empty": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Query Parameters

pageable
object
required

Response

200 - */*

OK

totalPages
integer<int32>
totalElements
integer<int64>
pageable
object
first
boolean
last
boolean
numberOfElements
integer<int32>
size
integer<int32>
content
object[]
number
integer<int32>
sort
object
empty
boolean